#
# spec file for package xmame (Version 0.54.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa alsa-devel audiofile automake esound kdelibs-artsd libz nasm xf86 xpm
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd kdelibs-artsd less libtool libz m4 make man mktemp modutils nasm ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xmame
Copyright:    1999
Group:        X11/Applications
Autoreqprov:  on
Version:      0.54.1
Release:      80
Summary:      Multiple Arcade Machine Emulator
Source:  xmame-%{version}.tar.bz2
Source1: xmame-0.37b15.2.tar.bz2
Patch:   xmame-%{version}.dif
Patch1:  xmame-0.37b15.2.dif

%description
Mame is an arcade machine emulator able to emulate more than 1300
different machines. Started in 1997 by Nicola Salmoria Mame started
out as a series of emulators for individual games. This series was
combined into a multiple game emulator format. In its current form
mame is no longer a one man show; there are over 100 contributors
to the project.
To be able to use Mame you need images of the arcade machine ROMs
which you can find e.g. on the Internet. Please note that possession
of these images is usually only legal if you also posess the actual
arcade machine circuit board.
Put the zip-archived ROMs in the directory /usr/games/lib/xmame/roms.
Start Mame as "xmame.x11 <name of game>" (X11 version) or
"xmame.svgalib <name of game>" (SVGALib version).
Please read the documentation in /usr/share/doc/packages/xmame,
especially the license in chapter 6 of readme.unix

Authors:
--------
    Nicola Salmoria <MC6489@mclink.it>
    Allard van der Bas <avdbas@wi.leidenuniv.nl>
    Mirko Buffoni <mix@lim.dsi.unimi.it>
    Dick the Ridder
    Juan Antonio Marinez <jantonio@dit.upm.es>
    Hans de Goede <j.w.r.degoede@et.tudelft.nl>
    Mike Balfour <mab22@po.cwru.edu>
    Aaron Giles <agiles@sirius.com>
    Chris Moore <chris.moore@writeme.com>
    Brad Oliver <bradman@pobox.com>
    Andrew Scott <ascott@utkux.utcc.utk.edu>
    Zsolt Vasvari <vaszs01@banet.net>
    Jrgen Buchmller <pullmoll@t-online.de>
    Bryan McPhail <mish@tendril.force9.net>
    David Hedley
    Fabrice Frances <frances@ensica.fr>
    John Butler
    L.C. Benschop
    Karl Stenerud
    Mike Coates
    Darren Olafson
    Dan Boris <dboris@home.com>
    Alex Pasadyn
    Andy Jones
    Ton Brouwer
    Jeff Mitchell
    Zonn Moore
    Neil Bradley
    Hedley Rainnie
    Eric Smith
    Al Kossow
    Frank Palazzolo
    Ville Hallik
    Michael Cuddy
    Tatsuyuki Satoh
    Ron Fries <rfries@aol.com>
    Hiromitsu Shioya

SuSE series: emu

%package -n xmess
Version:      0.37b15.2
Release:      80
Summary:      Multi Emulator Super System
Group: X11/Applications
Autoreqprov: on

%description -n xmess
MESS is a video game console and home computer emulator currently able to
emulate more than one hundred systems. MESS shares much of its codebase with
MAME.
To be able to use MESS you need images of disks, tapes oder cartridges
suitable for the system to be emulated and, depending on the system, images
of the firmware ROMs. You can find these, for example, on the Internet.
Please note that posession of these images is usually only legal if you also
own the original software or hardware.
Put the ROMs as zip archives into the /usr/games/lib/xmess directory.
Start MESS with "xmess.x11 <name of system> <name of software image>" (X11
version) or "xmess.svgalib..." (SVGALib version), respectively. Please also
read the documentation in the /usr/share/doc/packages/xmess directory, especially
the license in chapter 6 of readme.unix

Authors:
--------
    Ben Bruscella <ben@mame.net>
    Hans de Goede <j.w.r.degoede@et.tudelft.nl>
    Mike Balfour <mab22@po.cwru.edu>
    Frank Palazzolo <palazzol@home.com>
    Gareth Long <gatch@elecslns.demon.co.uk>
    Jrgen Buchmller <pullmoll@t-online.de>
    Benjamin C. W. Sittler <bsittler@nmt.edu>
    Dan Boris <dboris@home.com>
    Ernesto Corvi <someone@secureshell.com>
    Mathis Rosenhauer <rosenhau@mailserv.sm.go.dlr.de>
    Chris Salomon <chrissalo@aol.com>
    Brad Oliver <bradman@pobox.com>
    Raphael Nabet <pytheas@club-internet.fr>
    Christopher Kirmse <ckirmse@ricochet.net>
    Paul Cook <paul@anville.co.uk>
    Peter Trauner <peter.trauner@jk.uni-linz.at>
    Kevin Thacker <amstrad@aiind.upv.es>
    Charles MacDonald <cgfm2@hooked.net>
    Sean Young <sean@msxnet.org>
    Chris Henry <battlepriest@hotmail.com>
    Michael Schwendt
    Paul Burgin
    Stewart Orchard

SuSE series: emu

%prep
%setup -b 1
%patch
cd ../xmame-0.37b15.2
%patch1

%build
%ifarch i386
	export MY_CPU=i386
	#export X86_ASM_68000=1
	#export X86_ASM_68020=1
	export CFLAGS="$RPM_OPT_FLAGS -O3 -Wall -Wno-unused -funroll-loops\
		-fstrength-reduce -fomit-frame-pointer -ffast-math \
		-malign-functions=2 -malign-jumps=2 -malign-loops=2"
%else
%ifarch alpha
	export MY_CPU=alpha
	export CFLAGS="$RPM_OPT_FLAGS -O3 -Wall -Wno-unused -funroll-loops -fstrength-reduce -fomit-frame-pointer -mieee"
%else
%ifarch ia64
	export MY_CPU=ia64
	export CFLAGS="$RPM_OPT_FLAGS -O3 -Wall -Wno-unused -funroll-loops -fstrength-reduce -fomit-frame-pointer"
%else
%ifarch ppc sparc sparc64 s390
	export MY_CPU=risc
	export CFLAGS="$RPM_OPT_FLAGS -O3 -Wall  -Wno-unused -funroll-loops -fstrength-reduce -fomit-frame-pointer -ffast-math"
%else
	exit 1
%endif
%endif
%endif
%endif
%ifnarch s390
	export SOUND_ALSA=1
%endif
#TARGET=mame DISPLAY_METHOD=x11 make -f makefile.unix
#rm -f obj-xmame/usrintrf.o
TARGET=mame DISPLAY_METHOD=SDL make -f makefile.unix
%ifarch i386
#unset X86_ASM_68000
#unset X86_ASM_68020
%endif
cd ../xmame-0.37b15.2
#TARGET=mess DISPLAY_METHOD=x11 make -f makefile.unix
#rm -f obj-xmess/usrintrf.o
TARGET=mess DISPLAY_METHOD=SDL make -f makefile.unix

%install
TARGET=mame DISPLAY_METHOD=SDL make -f makefile.unix install
cd ../xmame-0.37b15.2
TARGET=mess DISPLAY_METHOD=SDL make -f makefile.unix install
ln -sf xmame.SDL /usr/X11R6/bin/xmame
ln -sf xmess.SDL /usr/X11R6/bin/xmess
install -d -m 755 /usr/games/lib/xmame
install -d -m 755 /usr/games/lib/xmess
install -d -m 755 /usr/games/lib/xmame/roms
install -d -m 755 /usr/games/lib/xmame/samples
install -d -m 777 /usr/games/lib/xmame/scores
cd ../xmame-0.54.1
install -m 644 doc/xmamerc.dist /usr/games/lib/xmame/xmamerc

%files
%doc doc/changes.mame doc/changes.unix
%doc doc/gamelist.mame doc/xmame-doc.txt
%doc doc/liesmich.unix doc/multiplayer-readme.txt
%doc doc/readme.mame
%doc doc/xmamerc.dist contrib/tools doc/xmame-*.html
#/usr/X11R6/bin/xmame.x11
/usr/X11R6/bin/xmame.SDL
/usr/X11R6/bin/xmame
/usr/share/man/man6/xmame.6.gz
%dir /usr/games/lib/xmame
%dir /usr/games/lib/xmame/roms
%dir /usr/games/lib/xmame/samples
%config /usr/games/lib/xmame/xmamerc

%files -n xmess
%doc ../xmame-0.37b15.2/doc/changes.mess ../xmame-0.37b15.2/doc/changes.unix
%doc ../xmame-0.37b15.2/doc/liesmich.unix ../xmame-0.37b15.2/doc/readme.mess
%doc ../xmame-0.37b15.2/doc/readme.mame ../xmame-0.37b15.2/doc/gamelist.mess
#/usr/X11R6/bin/xmess.x11
/usr/X11R6/bin/xmess.SDL
/usr/X11R6/bin/xmess
%dir /usr/games/lib/xmess

%changelog -n xmame
* Tue Aug 28 2001 - uli@suse.de
- commented out X11-specific options in xmamerc
* Mon Aug 27 2001 - uli@suse.de
- updated mame -> 0.54.1 (bugfix release, few new games)
- updated mess -> 0.37b15.2; new systems:
  NEC PC8801SR [Shouhei Nishi]
  Emerson Arcadia 2001 (preliminary) [PeT]
  More Nascom1/2 official releases [JoJo]
  Sharp PC1403/1403H (preliminary) [PeT]
  Texas Instruments TI-81 (preliminary) [Krzysztof Strzecha]
  Texas Instruments TI-86 (preliminary) [Krzysztof Strzecha]
  CoCo 3 PAL [Cowering and Nate Woods]
  Intellivision & Intellivision Kbd Component (preliminary) [Frank Palazzolo]
  Sord M5 (preliminary) [Kev Thacker]
  Einstein TC-01 (preliminary) [Kev Thacker]
  plus several megatons of bugfixes
- ditched X11, svgalib binaries (superseded by SDL builds)
* Fri Aug 24 2001 - uli@suse.de
- updated mame -> 0.53.1 (support for tons of new games, as usual)
- mess still at 0.37b13.2
* Wed Aug 08 2001 - ro@suse.de
- changed neededforbuild <sdl> to <SDL>
- changed neededforbuild <sdl-devel> to <SDL-devel>
* Wed Jun 20 2001 - ro@suse.de
- added kdelibs for arts
* Mon Apr 09 2001 - uli@suse.de
- update -> 0.37b13.2
- build SDL binary
* Wed Mar 21 2001 - uli@suse.de
- update -> 0.37b12.1
- enabled ALSA sound
- enabled joystick support for all archs
- no longer building with XFree86 3 libs
* Thu Feb 22 2001 - uli@suse.de
- update -> 0.37b11.2
* Wed Sep 20 2000 - uli@suse.de
- update -> 0.37b6.1
* Fri Jul 28 2000 - uli@suse.de
- statically linking libXxf86* from xf86 3 to ensure compatibility
* Tue Jun 20 2000 - schwab@suse.de
- Add support for ia64.
* Fri May 19 2000 - uli@suse.de
- update -> 0.37b2.2
* Wed Mar 22 2000 - uli@suse.de
- forgot to change version in spec
* Tue Mar 21 2000 - uli@suse.de
- update -> 0.36rc1.1
- added new subpackage xmess
* Mon Jan 24 2000 - uli@suse.de
- current versions of config.guess seem to return ppc... instead
  of powerpc... ; changed spec file accordingly
* Wed Dec 01 1999 - uli@suse.de
- disabled svgalib build for PPC
* Mon Oct 18 1999 - uli@suse.de
- update -> 0.36b6.1
* Wed Sep 22 1999 - uli@suse.de
- update -> 0.36b3.1
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - uli@suse.de
- fixed spec file for PPC
- renamed all identifiers called "PPC" to "PePeCe" to avoid collisions
  with #define PPC
* Tue Jun 08 1999 - uli@suse.de
- new package, version 0.35b12.1
